<?php

/**
 *
 * 合同操作日志
 *
 */
class Stream implements JsonSerializable {

    private $userName; 		// 操作人姓名
    private $userId;		// 操作人ID
    private $operateType; 	// 操作类型
    private $operateTime; 	// 操作时间
    private $contact;		// 操作人联系方式（脱敏）
    private $comments;		// 操作详情
    private $cnOperateDesc;	// 操作简述
    private $address;       // 客户端地址(PC为IP地址,APP为GPS坐标)
    private $client;        // 客户端类型
    private $browser;

    public function jsonSerialize() {
        $data = [];
        foreach ($this as $key=>$val){
            if ($val !== null) $data[$key] = $val;
        }
        if(sizeof($data) < 1){
            return null;
        }
        return $data;
    }

    /**
     * @return mixed
     */
    public function getUserName()
    {
        return $this->userName;
    }

    /**
     * @param mixed $userName
     */
    public function setUserName($userName)
    {
        $this->userName = $userName;
    }

    /**
     * @return mixed
     */
    public function getUserId()
    {
        return $this->userId;
    }

    /**
     * @param mixed $userId
     */
    public function setUserId($userId)
    {
        $this->userId = $userId;
    }

    /**
     * @return mixed
     */
    public function getOperateType()
    {
        return $this->operateType;
    }

    /**
     * @param mixed $operateType
     */
    public function setOperateType($operateType)
    {
        $this->operateType = $operateType;
    }

    /**
     * @return mixed
     */
    public function getOperateTime()
    {
        return $this->operateTime;
    }

    /**
     * @param mixed $operateTime
     */
    public function setOperateTime($operateTime)
    {
        $this->operateTime = $operateTime;
    }

    /**
     * @return mixed
     */
    public function getContact()
    {
        return $this->contact;
    }

    /**
     * @param mixed $contact
     */
    public function setContact($contact)
    {
        $this->contact = $contact;
    }

    /**
     * @return mixed
     */
    public function getComments()
    {
        return $this->comments;
    }

    /**
     * @param mixed $comments
     */
    public function setComments($comments)
    {
        $this->comments = $comments;
    }

    /**
     * @return mixed
     */
    public function getCnOperateDesc()
    {
        return $this->cnOperateDesc;
    }

    /**
     * @param mixed $cnOperateDesc
     */
    public function setCnOperateDesc($cnOperateDesc)
    {
        $this->cnOperateDesc = $cnOperateDesc;
    }

    /**
     * @return mixed
     */
    public function getAddress()
    {
        return $this->address;
    }

    /**
     * @param mixed $address
     */
    public function setAddress($address)
    {
        $this->address = $address;
    }

    /**
     * @return mixed
     */
    public function getClient()
    {
        return $this->client;
    }

    /**
     * @param mixed $client
     */
    public function setClient($client)
    {
        $this->client = $client;
    }

    /**
     * @return mixed
     */
    public function getBrowser()
    {
        return $this->browser;
    }

    /**
     * @param mixed $browser
     */
    public function setBrowser($browser)
    {
        $this->browser = $browser;
    }


}