<?php

class CategoryDetailRequest extends SdkRequest {

    const REQUEST_URL = "/v2/category/detail";

    private $categoryId;// 业务分类Id
    private $categoryName;// 业务分类名称
    private $tenantName;// 公司名称

    function getUrl() {
        return self::REQUEST_URL;
    }

    function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('categoryId', $this->categoryId);
        $paramSwitcher->addParam('categoryName', $this->categoryName);
        $paramSwitcher->addParam('tenantName',$this->tenantName);
        $httpParameters = HttpParameter::httpGetParamer();
        $httpParameters->setParams($paramSwitcher->getParams());
        return $httpParameters;
    }

    /**
     * @return mixed
     */
    public function getCategoryId()
    {
        return $this->categoryId;
    }

    /**
     * @param mixed $categoryId
     */
    public function setCategoryId($categoryId)
    {
        $this->categoryId = $categoryId;
    }

    /**
     * @return mixed
     */
    public function getCategoryName()
    {
        return $this->categoryName;
    }

    /**
     * @param mixed $categoryName
     */
    public function setCategoryName($categoryName)
    {
        $this->categoryName = $categoryName;
    }

    /**
     * @return mixed
     */
    public function getTenantName()
    {
        return $this->tenantName;
    }

    /**
     * @param mixed $tenantName
     */
    public function setTenantName($tenantName)
    {
        $this->tenantName = $tenantName;
    }
}