<?php

class ContractAddWatermarkRequest extends SdkRequest {

    const  PAGE_URL = "/v2/contract/addwartermark";

    private $contractId;
    private $bizId;
    private $tenantName;
    private $watermarks;
    private $deleteOldData;

    function getUrl() {
        return self::PAGE_URL;
    }

    function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('contractId', $this->contractId);
        $paramSwitcher->addParam('bizId',$this->bizId);
        $paramSwitcher->addParam('tenantName',$this->tenantName);
        $paramSwitcher->addParam('watermarks',$this->watermarks);
        $paramSwitcher->addParam('deleteOldData', $this->deleteOldData);

        $httpParameter = HttpParameter::httpPostParamer();
        $httpParameter->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameter;
    }

    /**
     * @return mixed
     */
    public function getContractId()
    {
        return $this->contractId;
    }

    /**
     * @param mixed $contractId
     */
    public function setContractId($contractId)
    {
        $this->contractId = $contractId;
    }

    /**
     * @return mixed
     */
    public function getBizId()
    {
        return $this->bizId;
    }

    /**
     * @param mixed $bizId
     */
    public function setBizId($bizId)
    {
        $this->bizId = $bizId;
    }

    /**
     * @return mixed
     */
    public function getTenantName()
    {
        return $this->tenantName;
    }

    /**
     * @param mixed $tenantName
     */
    public function setTenantName($tenantName)
    {
        $this->tenantName = $tenantName;
    }

    /**
     * @return mixed
     */
    public function getWatermarks()
    {
        return $this->watermarks;
    }

    /**
     * @param mixed $watermarks
     */
    public function setWatermarks($watermarks)
    {
        $this->watermarks = $watermarks;
    }

    /**
     * @return mixed
     */
    public function getDeleteOldData()
    {
        return $this->deleteOldData;
    }

    /**
     * @param mixed $deleteOldData
     */
    public function setDeleteOldData($deleteOldData)
    {
        $this->deleteOldData = $deleteOldData;
    }

}