<?php

/**
 * 创建草稿合同请求类
 */
class ContractDraftRequest extends SdkRequest {

    const CONTRACT_DRAFT = "/v2/contract/draft";  // 创建草稿合同路径

    private $contract;                            // 合同信息

    public function __construct() {
        $count = func_num_args();
        $args=func_get_args();
        if (method_exists($this,$f='__construct'.$count)) {
            call_user_func_array(array($this,$f),$args);
        }
    }

    public function __construct0() {
    }

    /**
     * ContractDraftRequest constructor.
     */
    public function __construct1($contract) {
        $this->contract = $contract;
    }

    public function getUrl() {
       return self::CONTRACT_DRAFT;
    }

    public function getHttpParamers() {
        $httpParameters = HttpParameter::httpPostParamer();
        $httpParameters->setJsonParams(json_encode($this->contract));
        return $httpParameters;
    }

    /**
     * @return mixed
     */
    public function getContract()
    {
        return $this->contract;
    }

    /**
     * @param mixed $contract
     */
    public function setContract($contract)
    {
        $this->contract = $contract;
    }

}