<?php

class DocumentAddByMultipleFileRequest extends SdkRequest {

    const REQUEST_URL = "/v2/document/addbyfiles";

    private $contractId;
	private $bizId;
	private $tenantName;
	private $title;
	private $documentSort;
    private $files;

    function getUrl() {
        return self::REQUEST_URL;
    }

    function getHttpParamers() {
        $httpParameter = HttpParameter::httpPostParamer();
        $httpParameter->addParam('contractId', $this->contractId);
        $httpParameter->addParam('bizId', $this->bizId);
        $httpParameter->addParam('tenantName', $this->tenantName);
        $httpParameter->addParam('title', $this->title);
        $httpParameter->addParam('documentSort', $this->documentSort);
        $httpParameter->addListFiles('files', $this->files);

        return $httpParameter;
    }

    /**
     * @return mixed
     */
    public function getContractId()
    {
        return $this->contractId;
    }

    /**
     * @param mixed $contractId
     */
    public function setContractId($contractId)
    {
        $this->contractId = $contractId;
    }

    /**
     * @return mixed
     */
    public function getBizId()
    {
        return $this->bizId;
    }

    /**
     * @param mixed $bizId
     */
    public function setBizId($bizId)
    {
        $this->bizId = $bizId;
    }

    /**
     * @return mixed
     */
    public function getTenantName()
    {
        return $this->tenantName;
    }

    /**
     * @param mixed $tenantName
     */
    public function setTenantName($tenantName)
    {
        $this->tenantName = $tenantName;
    }

    /**
     * @return mixed
     */
    public function getTitle()
    {
        return $this->title;
    }

    /**
     * @param mixed $title
     */
    public function setTitle($title)
    {
        $this->title = $title;
    }

    /**
     * @return mixed
     */
    public function getDocumentSort()
    {
        return $this->documentSort;
    }

    /**
     * @param mixed $documentSort
     */
    public function setDocumentSort($documentSort)
    {
        $this->documentSort = $documentSort;
    }

    /**
     * @return mixed
     */
    public function getFiles()
    {
        return $this->files;
    }

    /**
     * @param mixed $files
     */
    public function setFiles($files)
    {
        $this->files = $files;
    }

}