<?php

class SaaSCompanyDetailRequest extends SdkRequest {

    const REQUEST_URL = "/saas/v2/company/detail";

    private $companyName;
    private $registerNo;

    public function getUrl() {
        return self::REQUEST_URL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('companyName', $this->companyName);
        $paramSwitcher->addParam('registerNo', $this->registerNo);
        $httpParameters = HttpParameter::httpGetParamer();
        $httpParameters->setParams($paramSwitcher->getParams());
        return $httpParameters;

    }

    /**
     * @return mixed
     */
    public function getCompanyName()
    {
        return $this->companyName;
    }

    /**
    * @param mixed $companyName
     */
    public function setCompanyName($companyName)
    {
        $this->companyName = $companyName;
    }

    /**
     * @return mixed
     */
    public function getRegisterNo()
    {
        return $this->registerNo;
    }

    /**
     * @param mixed $registerNo
     */
    public function setRegisterNo($registerNo)
    {
        $this->registerNo = $registerNo;
    }

}