<?php

class SaaSPersonalSignDeauthRequest extends SdkRequest {

    const  VIEW_PAGE_URL = "/saas/v2/personalsign/deauthorize";

    private $user;
    private $company;
    private $appId;

    public function getUrl() {
        return self::VIEW_PAGE_URL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('user', $this->user);
        $paramSwitcher->addParam('company',$this->company);
        $paramSwitcher->addParam('appId',$this->appId);
        
        $httpParameter = HttpParameter::httpPostParamer();
        $httpParameter->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameter;
    }
    /**
     * @return mixed
     */
    public function getUser()
    {
        return $this->user;
    }

    /**
     * @return mixed
     */
    public function getCompany()
    {
        return $this->company;
    }

    /**
     * @return mixed
     */
    public function getAppId()
    {
        return $this->appId;
    }

    /**
     * @param mixed $user
     */
    public function setUser($user)
    {
        $this->user = $user;
    }

    /**
     * @param mixed $company
     */
    public function setCompany($company)
    {
        $this->company = $company;
    }

    /**
     * @param mixed $appId
     */
    public function setAppId($appId)
    {
        $this->appId = $appId;
    }


}