<?php

class SealCreatebyImageRequest extends SdkRequest {

    const REQUEST_URL = "/v2/seal/createbyimage";  //接口地址

    private $tenantName;
	private $sealType;
	private $sealName;
	private $sealImage;
    private $sealSpec;
    private $lpLetter;
    private $sealUsers;
    private $callbackUrl;


    public function getUrl() {
        return self::REQUEST_URL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('tenantName', $this->tenantName);
        $paramSwitcher->addParam('sealType', $this->sealType);
        $paramSwitcher->addParam('sealName', $this->sealName);
        $paramSwitcher->addParam('sealImage',$this->sealImage);
        $paramSwitcher->addParam('sealSpec',$this->sealSpec);
        $paramSwitcher->addParam('lpLetter',$this->lpLetter);
        $paramSwitcher->addParam('sealUsers',$this->sealUsers);
        $paramSwitcher->addParam('callbackUrl',$this->callbackUrl);
        $httpParameters = HttpParameter::httpPostParamer();
        $httpParameters->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameters;

    }

    /**
     * @return mixed
     */
    public function getTenantName()
    {
        return $this->tenantName;
    }

    /**
     * @param mixed $tenantName
     */
    public function setTenantName($tenantName)
    {
        $this->tenantName = $tenantName;
    }

    /**
     * @return mixed
     */
    public function getSealType()
    {
        return $this->sealType;
    }

    /**
     * @param mixed $sealType
     */
    public function setSealType($sealType)
    {
        $this->sealType = $sealType;
    }

    /**
     * @return mixed
     */
    public function getSealName()
    {
        return $this->sealName;
    }

    /**
     * @param mixed $sealName
     */
    public function setSealName($sealName)
    {
        $this->sealName = $sealName;
    }

    /**
     * @return mixed
     */
    public function getSealImage()
    {
        return $this->sealImage;
    }

    /**
     * @param mixed $sealImage
     */
    public function setSealImage($sealImage)
    {
        $this->sealImage = $sealImage;
    }

    /**
     * @return mixed
     */
    public function getSealSpec()
    {
        return $this->sealSpec;
    }

    /**
     * @param mixed $sealSpec
     */
    public function setSealSpec($sealSpec)
    {
        $this->sealSpec = $sealSpec;
    }

    /**
     * @return mixed
     */
    public function getLpLetter()
    {
        return $this->lpLetter;
    }

    /**
     * @param mixed $lpLetter
     */
    public function setLpLetter($lpLetter)
    {
        $this->lpLetter = $lpLetter;
    }

    /**
     * @return mixed
     */
    public function getSealUsers()
    {
        return $this->sealUsers;
    }

    /**
     * @param mixed $sealUsers
     */
    public function setSealUsers($sealUsers)
    {
        $this->sealUsers = $sealUsers;
    }

    /**
     * @return mixed
     */
    public function getCallbackUrl()
    {
        return $this->callbackUrl;
    }

    /**
     * @param mixed $callbackUrl
     */
    public function setCallbackUrl($callbackUrl)
    {
        $this->callbackUrl = $callbackUrl;
    }


}