<?php

class TemplateDetailRequest extends SdkRequest {

    const REQUEST_URL = "/v2/template/list";  // 文件模板列表接口地址

    private $templateId;    // 模板id

    function getUrl() {
        return self::REQUEST_URL;
    }

    function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('templateId', $this->templateId);

        $httpParameters = HttpParameter::httpGetParamer();
        $httpParameters->setParams($paramSwitcher->getParams());
        return $httpParameters;
    }

    /**
     * @return mixed
     */
    public function getTemplateId()
    {
        return $this->templateId;
    }

    /**
     * @param mixed $templateId
     */
    public function setTemplateId($templateId)
    {
        $this->templateId = $templateId;
    }

}