<?php

class TemplateRemoveRequest extends SdkRequest {

    const REQUEST_URL = "/v2/template/remove";

    private $templateId;

    public function getUrl() {
        return self::REQUEST_URL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('templateId', $this->templateId);
        $httpParameters = HttpParameter::httpGetParamer();
        $httpParameters->setParams($paramSwitcher->getParams());
        return $httpParameters;
    }

    /**
     * @return mixed
     */
    public function getTemplateId()
    {
    	return $this->templateId;
    }

    /**
    * @param mixed $templateId
     */
    public function setTemplateId($templateId)
    {
    	$this->templateId = $templateId;
    }



}