<?php
header("Content-Type: text/html; charset=utf-8");

        /**
         * 员工接口测试
         */
        require_once(dirname(__FILE__).'/'.'../Util.php');

        $sdkClient = Util::getSDk();

//        testEmployeeList($sdkClient);

//        testCreateEmployee($sdkClient);

//        testUpdateEmployee($sdkClient);

//        testRemoveEmployee($sdkClient);

        testDetailEmployee($sdkClient);
        /**
         * 查询员工列表
         * @param $sdkClient
         */
        function testEmployeeList(SDKClient $sdkClient){
            $selectOffset = 0;
            $selectLimit = 10;
            $employeeListRequest = new EmployeeListRequest($selectOffset, $selectLimit);

            $result = $sdkClient->service($employeeListRequest);
            print_r($result);
        }

        /**
         * 添加员工
         * @param SDKClient $sdkClient
         */
        function testCreateEmployee(SDKClient $sdkClient){
            $user = new User();
            $user->setName("王五");
            $user->setContact("15000000000");
            $user->setContactType("MOBILE");

            $employeeCreateRequest = new EmployeeCreateRequest();
            $employeeCreateRequest->setUser($user);
            $employeeCreateRequest->setNumber('123456');
            $result = $sdkClient->service($employeeCreateRequest);
            print_r($result);
        }

        /**
         * 修改员工信息
         * @param SDKClient $sdkClient
         */
        function testUpdateEmployee(SDKClient $sdkClient){
            $user = new User();
            $user->setName("李四");
            $user->setContact("15000000000");
            $user->setContactType("MOBILE");

            $employeeUpdateRequest = new EmployeeUpdateRequest();
            $employeeUpdateRequest->setUser($user);
            $employeeUpdateRequest->setNumber(777777);
            $result = $sdkClient->service($employeeUpdateRequest);
            print_r($result);
        }

        /**
         * 移除员工信息
         * @param SDKClient $sdkClient
         */
        function testRemoveEmployee(SDKClient $sdkClient){
            $employee = new User();
            $employee->setContact("10000001234");
            $employee->setContactType("MOBILE");

            $employeeRemoveRequest = new EmployeeRemoveRequest();
            $employeeRemoveRequest->setUser($employee);
            $result = $sdkClient->service($employeeRemoveRequest);
            print_r($result);
        }

        /**
         * 移除员工信息
         * @param SDKClient $sdkClient
         */
        function testDetailEmployee(SDKClient $sdkClient){
            $employee = new User();
            $employee->setContact("15164046497");
            $employee->setContactType("MOBILE");

            $employeeDetailRequest = new EmployeeDetailRequest();
            $employeeDetailRequest->setUser($employee);
            $result = $sdkClient->service($employeeDetailRequest);
            print_r($result);
        }
