<?php
header("Content-Type: text/html; charset=utf-8");

/**
 * 印章接口测试
 */
require_once (dirname(__FILE__) . '/' . '../Util.php');

$sdkClient = Util::getSDk();

testSSOPrivilegeUrl($sdkClient);

function testSSOPrivilegeUrl(SDKClient $sdkClient)
{
    $baseRequest = new OpenSSOPrivilegeUrlRequest();
    $company = new Company();
    $company->setName("测试公司");
    $baseRequest->setCompany($company);
    $user = new User();
    $user->setContact("136****0110");
    $user->setContactType("MOBILE");
    $baseRequest->setUser($user);
    $baseRequest->setSuccessUrl("http://www.qiyuesuo.com");
    $baseRequest->setCallbackUrl("https://openapi.qiyuesuo.cn");
    
    $result = $sdkClient->service($baseRequest);
    print_r($result);
}



