<?php
header("Content-Type: text/html; charset=utf-8");

    /**
     * 个人用户认证服务示例
     */
    require_once(dirname(__FILE__).'/'.'../Util.php');

    $sdkClient = Util::getSDk();

   testUserAuthPage($sdkClient);

//    testUserAuthResult($sdkClient);

//     testUserAuthMiniappTicketRequest($sdkClient);

    /**
     * 用户实名认证链接
     * @param $sdkClient
     * @return mixed
     */
    function testUserAuthPage(SDKClient $sdkClient){
        // 待认证的用户信息
        $user = new User();
        $user->setContactType("MOBILE");
        $user->setContact("136*****280");
        
        $userAuthPageRequest = new UserAuthPageRequest();
        $userAuthPageRequest->setMode("DEFAULT");
        $userAuthPageRequest->setUser($user);
        $userAuthPageRequest->setUsername('宋三');
        $userAuthPageRequest->setIdCardNo('1427321*****234835');

        $modifyFields = array();
        array_push($modifyFields,'USERNAME');
        array_push($modifyFields,'IDCARDNO');
        array_push($modifyFields,'MOBILE');
        $userAuthPageRequest->setModifyFields($modifyFields);
        $userAuthPageRequest->setCallbackUrl('http://baidu.ccc');

        print_r($userAuthPageRequest->getHttpParamers()->getJsonParams());

        $result = $sdkClient->service($userAuthPageRequest);
        print_r($result);
        return $result;
    }

    /**
     * 获取个人认证结果
     * @param SDKClient $sdkClient
     */
    function testUserAuthResult(SDKClient $sdkClient){
        $userAuthResultRequest = new UserAuthResultRequest();
        $userAuthResultRequest->setContactType("MOBILE");
        $userAuthResultRequest->setContact("18435186216");

        $result = $sdkClient->service($userAuthResultRequest);
        print_r($result);
    }

    /**
     * 用户实名认证链接
     * @param $sdkClient
     * @return mixed
     */
    function testUserAuthMiniappTicketRequest(SDKClient $sdkClient){
        $userAuthMiniappTicketRequest = new UserAuthMiniappTicketRequest();

        // 待认证的用户信息
        $user = new User();
        $user->setContactType("MOBILE");
        $user->setContact("10010002000");

        $userAuthMiniappTicketRequest->setMode("DEFAULT");
        $userAuthMiniappTicketRequest->setUser($user);
        $userAuthMiniappTicketRequest->setUsername('自定义用户一号');
        $userAuthMiniappTicketRequest->setIdCardNo('142732199404234835');

        $modifyFields = array();
        array_push($modifyFields,'USERNAME');
        array_push($modifyFields,'IDCARDNO');
        array_push($modifyFields,'MOBILE');
        $userAuthMiniappTicketRequest->setModifyFields($modifyFields);

        print_r($userAuthMiniappTicketRequest->getHttpParamers()->getJsonParams());

        $result = $sdkClient->service($userAuthMiniappTicketRequest);
        print_r($result);
        return $result;
    }
