<?php
header("Content-Type: text/html; charset=utf-8");

    /**
     * Class SaasTest
     */

    require_once(dirname(__FILE__).'/'.'../'.'../Util.php');

    $sdkClient = SaasUtil::getSaasSDk();
    $onlyClient = SaasUtil::getSaasOnlyClient();

//    appAccessControl($onlyClient);
//    applyApp($onlyClient);
//    companyDetail($onlyClient);
//    companyAuthPageUrl($onlyClient);
//    applyApp($onlyClient);
//         privilegePageUrl($onlyClient);
//        privilegeDetail($onlyClient);
//    resetCompanyToken($onlyClient);
//    saasBind($sdkClient);
//     saasCompanyAuthResult($onlyClient);
//testCompanyAuthMiniappTicket($onlyClient);

testSaaSPrivilegeMiniappTicket($onlyClient);

    function appAccessControl(SaaSSdkClient $onlyClient){
        $company = new Company();
//         $company->setId(2233594034444566528);
        $company->setName("测试11-8-1");
        $baseRequest = new SaaSAppAccessControlRequest($company, 'ENABLE');
        $result = $onlyClient->service($baseRequest);
        print_r($result);
        return $result;
    }

    function applyApp(SaaSSdkClient $onlyClient){
        $baseRequest = new SaasApplyAppRequest();
        $baseRequest->setCompanyId(2233594034444566528);
        $baseRequest->setAppName("php测试11-8-1");
        $baseRequest->setDomain("test.com11");
        $baseRequest->setLoginUrl("https://baidu.com");
        $baseRequest->setCasVerifyUrl("https://cloudapi.qiyuesuo.me/saas/test/cas");
        $baseRequest->setCallbackUrl("www.baidu.com");
        $baseRequest->setContractCallbackUrl("www.baidu.com");
        $result = $onlyClient->service($baseRequest);
        print_r($result);
        return $result;
    }

    function binding(SaaSSdkClient $sdkClient){
        $baseRequest = new SaaSBindingRequest();
        $result = $sdkClient->service($baseRequest);
        print_r($result);
        return $result;
    }

    function companyAccessControl(SaaSSdkClient $onlyClient){
        $baseRequest = new SaaSCompanyAccessControlRequest(new Company("CDB公司"));
        $result = $onlyClient->service($baseRequest);
        print_r($result);
        return $result;
    }

    function companyAuthPageUrl(SaaSSdkClient $onlyClient){
        $baseRequest = new SaasCompanyAuthPageUrlRequest();
        $baseRequest->setCompanyName("Saas服务商测试0514");
        $baseRequest->setRegisterNo("534531351s313");
        $baseRequest->setLegalPerson("宋**");
        $baseRequest->setApplicantInfo("{\"name\":\"宋**\",\"contact\": \"1363****280\",\"contactType\": \"MOBILE\"}");
        $baseRequest->setCallbackUrl("http://sgf.cn/test");
        $file_path = "/Users/songguofeng/develop/file/eployee.png";
//         $file_path = iconv("UTF-8", "GBK", realpath($file_path));
        $file = new \CURLFile($file_path);
        $file->setPostFilename("测试营业执照");
        $baseRequest->setLicense($file);
        $result = $onlyClient->service($baseRequest);
        print_r($result);
        return $result;
    }

    function companyAuthUrl(SaaSSdkClient $onlyClient){
        $baseRequest = new SaaSCompanyAuthUrlRequest();
        $baseRequest->setCompanyId("12412412421421");
        $result = $onlyClient->service($baseRequest);
        print_r($result);
        return $result;
    }

    function companyDetail(SaaSSdkClient $onlyClient){
        $baseRequest = new SaaSCompanyDetailRequest();
        $baseRequest->setCompanyName("测试11-8-1");
        $result = $onlyClient->service($baseRequest);
        print_r($result);
        return $result;
    }

    function personalAccessControl(SaaSSdkClient $onlyClient){
        $baseRequest = new SaaSPersonalAccessControlRequest(new User("17621699044", "MOBILE"));
        $result = $onlyClient->service($baseRequest);
        print_r($result);
        return $result;
    }

    function privilegePageUrl(SaaSSdkClient $onlyClient){
        $baseRequest = new SaasPrivilegeUrlRequest();
        $baseRequest->setCompanyId(2819178508276732909);
        $baseRequest->setAppId(2820574740870074719);
        $user = new User();
        $user->setContact('136****0280');
        $user->setContactType('MOBILE');
        $baseRequest->setUser($user);
        $baseRequest->setCreateToken(true);
        $baseRequest->setCallbackUrl("https://www.baidu.com");
        $privilegeModules = array();
        array_push($privilegeModules, 'TEMPLATE');
        $baseRequest->setPrivilegeModules($privilegeModules);
        $result = $onlyClient->service($baseRequest);
        print_r($result);
        return $result;
    }
    
    function privilegeDetail(SaaSSdkClient $onlyClient){
        $baseRequest = new SaasPrivilegeDetailRequest();
        $baseRequest->setCompanyId(2819178508276732909);
        $baseRequest->setAppId(2820574740870074719);
        $result = $onlyClient->service($baseRequest);
        print_r($result);
        return $result;
    }

    function resetCompanyToken(SaaSSdkClient $onlyClient){
        $baseRequest = new SaaSResetTokenRequest();
//         $baseRequest->setAccessToken("uxFCaRUNI9");
        $baseRequest->setCompanyId(2233594034444566528);
        $result = $onlyClient->service($baseRequest);
        print_r($result);
        return $result;
    }
    
    function saasBind(SaaSSdkClient $sdkClient){
        $baseRequest = new SaaSBindingRequest();
        $result = $sdkClient->service($baseRequest);
        print_r($result);
        return $result;
    }
    
    function saasRemove(SaaSSdkClient $sdkClient){
        $baseRequest = new SaaSBindingRequest();
        $result = $sdkClient->service($baseRequest);
        print_r($result);
        return $result;
    }
    
    function saasCompanyAuthResult(SaaSSdkClient $onlyClient){
        $baseRequest = new SaasCompanyAuthResultRequest();
//         $baseRequest->setRequestId("6e5b326a-1f7a-4ed2-ac38-5631313ff73a");
                $baseRequest->setCompanyName("Saas服务商测试0514");
        $result = $onlyClient->service($baseRequest);
        print_r($result);
        return $result;
    }

    function testCompanyAuthMiniappTicket(SaaSSdkClient $onlyClient){
        $baseRequest = new SaaSCompanyAuthMiniappTicketRequest();
        $baseRequest->setCompanyName("Saas服务商-sgf-0429-1");
        $baseRequest->setRegisterNo("534531351");
        $baseRequest->setLegalPerson("宋国");
        $baseRequest->setApplicantInfo("{\"name\":\"宋国\",\"contact\": \"13******80\",\"contactType\": \"MOBILE\"}");

        $license = curl_file_create("D:\QYS\Test\init.pdf", "application/pdf", "init.pdf");
        $baseRequest->setLicense($license);
        $result = $onlyClient->service($baseRequest);
        print_r($result);
        return $result;
    }

    function testSaaSPrivilegeMiniappTicket(SaaSSdkClient $onlyClient){
        $baseRequest = new SaaSPrivilegeMiniappTicketRequest();
        $baseRequest->setCompanyId("2619747765293982649");
        $baseRequest->setCreateToken(true);
        $baseRequest->setCallbackUrl("https://www.baidu.com");

        $user = new User();
        $user->setContact("15164046497");
        $user->setContactType("MOBILE");
        $baseRequest->setUser($user);
        $result = $onlyClient->service($baseRequest);
        print_r($result);
        return $result;
    }