<?php

/**
 *
 * 签署动作（签署流程）类
 *
 */
class Action implements JsonSerializable {

    private $id;                // 签署动作ID
    private $type;
    private $status;            // 签署动作状态
    private $complateTime;
    private $name;
    private $serialNo;
    private $sealId;
    private $operators;
    private $stampers;
    private $hasLocation;
    private $sealIds;
    private $sealActStatisticsInfos;
    private $autoSign;

    public function jsonSerialize() {
        $data = [];
        foreach ($this as $key=>$val){
            if ($val !== null) $data[$key] = $val;
        }
        if(sizeof($data) < 1){
            return null;
        }
        return $data;
    }

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param mixed $id
     */
    public function setId($id)
    {
        $this->id = $id;
    }

    /**
     * @return mixed
     */
    public function getType()
    {
        return $this->type;
    }

    /**
     * @param mixed $type
     */
    public function setType($type)
    {
        $this->type = $type;
    }

    /**
     * @return mixed
     */
    public function getName()
    {
        return $this->name;
    }

    /**
     * @param mixed $name
     */
    public function setName($name)
    {
        $this->name = $name;
    }

    /**
     * @return mixed
     */
    public function getSerialNo()
    {
        return $this->serialNo;
    }

    /**
     * @param mixed $serialNo
     */
    public function setSerialNo($serialNo)
    {
        $this->serialNo = $serialNo;
    }

    /**
     * @return mixed
     */
    public function getSealId()
    {
        return $this->sealId;
    }

    /**
     * @param mixed $sealId
     */
    public function setSealId($sealId)
    {
        $this->sealId = $sealId;
    }

    /**
     * @return mixed
     */
    public function getOperators()
    {
        return $this->operators;
    }

    /**
     * @param mixed $operators
     */
    public function setOperators($operators)
    {
        $this->operators = $operators;
    }

    /**
     * @return mixed
     */
    public function getStatus()
    {
        return $this->status;
    }

    /**
     * @param mixed $status
     */
    public function setStatus($status)
    {
        $this->status = $status;
    }

    /**
     * @return mixed
     */
    public function getComplateTime()
    {
        return $this->complateTime;
    }

    /**
     * @param mixed $complateTime
     */
    public function setComplateTime($complateTime)
    {
        $this->complateTime = $complateTime;
    }

    /**
     * @return mixed
     */
    public function getStampers()
    {
        return $this->stampers;
    }

    /**
     * @param mixed $stampers
     */
    public function setStampers($stampers)
    {
        $this->stampers = $stampers;
    }

    /**
     * @return mixed
     */
    public function getHasLocation()
    {
        return $this->hasLocation;
    }

    /**
     * @param mixed $hasLocation
     */
    public function setHasLocation($hasLocation)
    {
        $this->hasLocation = $hasLocation;
    }

    /**
     * @return mixed
     */
    public function getSealIds()
    {
        return $this->sealIds;
    }

    /**
     * @param mixed $sealIds
     */
    public function setSealIds($sealIds)
    {
        $this->sealIds = $sealIds;
    }
    /**
     * @return mixed
     */
    public function getSealActStatisticsInfos()
    {
        return $this->sealActStatisticsInfos;
    }

    /**
     * @param mixed $sealActStatisticsInfos
     */
    public function setSealActStatisticsInfos($sealActStatisticsInfos)
    {
        $this->sealActStatisticsInfos = $sealActStatisticsInfos;
    }
    /**
     * @return mixed
     */
    public function getAutoSign()
    {
        return $this->autoSign;
    }

    /**
     * @param mixed $autoSign
     */
    public function setAutoSign($autoSign)
    {
        $this->autoSign = $autoSign;
    }



}