<?php
/**
 *
 * 页面风格类
 *
 */
class PageStyle implements JsonSerializable {

    private $themeColor;      // 页面主题色

    public function jsonSerialize() {
        $data = [];
        foreach ($this as $key => $val) {
            if ($val !== null) $data[$key] = $val;
        }
        if (sizeof($data) < 1) {
            return null;
        }
        return $data;
    }

    /**
     * @return mixed
     */
    public function getThemeColor()
    {
        return $this->themeColor;
    }

    /**
     * @param mixed $themeColor
     */
    public function setThemeColor($themeColor)
    {
        $this->themeColor = $themeColor;
    }


}