<?php

class CompanyDetailRequest extends SdkRequest {

    const COMPANY_DETAIL = "/v2/company/detail";  // 公司详情接口地址

    private $companyName;                    // 公司名称
    private $registerNo;

    public function __construct() {
        $count = func_num_args();
        $args=func_get_args();
        if (method_exists($this,$f='__construct'.$count)) {
            call_user_func_array(array($this,$f),$args);
        }
    }

    public function __construct0() {
    }

    /**
     * CompanyDetailRequest constructor.
     * @param $companyName
     */
    public function __construct1($companyName) {
        $this->companyName = $companyName;
    }


    public function getUrl() {
        return self::COMPANY_DETAIL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('companyName', $this->companyName);
        $paramSwitcher->addParam('registerNo', $this->registerNo);
        $httpParameters = HttpParameter::httpGetParamer();
        $httpParameters->setParams($paramSwitcher->getParams());
        return $httpParameters;

    }

    /**
     * @return mixed
     */
    public function getCompanyName()
    {
        return $this->companyName;
    }

    /**
     * @param mixed $companyName
     */
    public function setCompanyName($companyName)
    {
        $this->companyName = $companyName;
    }

    /**
     * @return mixed
     */
    public function getRegisterNo()
    {
        return $this->registerNo;
    }

    /**
     * @param mixed $registerNo
     */
    public function setRegisterNo($registerNo)
    {
        $this->registerNo = $registerNo;
    }

}