<?php

class SaaSAppAccessControlRequest extends SdkRequest {

    const REQUEST_URL = "/saas/v2/app/accesscontrol";

    private $company;
	private $operate;

    public function getUrl() {
        return self::REQUEST_URL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('company', $this->company);
        $paramSwitcher->addParam('operate', $this->operate);
        $httpParameters = HttpParameter::httpPostParamer();
        $httpParameters->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameters;

    }

    public function __construct() {
    	$count = func_num_args();
    	$args=func_get_args();
    	if (method_exists($this,$f='__construct'.$count)) {
    		call_user_func_array(array($this,$f),$args);
    	}
    }

    public function __construct0() {
    }

    public function __construct2($company, $operate) {
        	$this->company = $company;
        	$this->operate = $operate;
        }

    /**
     * @return mixed
     */
    public function getCompany()
    {
        return $this->company;
    }

    /**
     * @param mixed $company
     */
    public function setCompany($company)
    {
        $this->company = $company;
    }

    /**
     * @return mixed
     */
    public function getOperate()
    {
        return $this->operate;
    }

    /**
     * @param mixed $operate
     */
    public function setOperate($operate)
    {
        $this->operate = $operate;
    }

}