<?php

class SaaSPersonalAccessControlRequest extends SdkRequest {

    const REQUEST_URL = "/saas/v2/personal/accesscontrol";

    private $user;
	private $operate;

    public function getUrl() {
        return self::REQUEST_URL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('user', $this->user);
        $paramSwitcher->addParam('operate', $this->operate);
        $httpParameters = HttpParameter::httpPostParamer();
        $httpParameters->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameters;
    }

    public function __construct() {
    	$count = func_num_args();
    	$args=func_get_args();
    	if (method_exists($this,$f='__construct'.$count)) {
    		call_user_func_array(array($this,$f),$args);
    	}
    }

    public function __construct1($user) {
        $this->user = $user;
    }

    public function __construct2($user, $operate) {
        $this->user = $user;
        $this->operate = $operate;
    }

    /**
     * @return mixed
     */
    public function getUser()
    {
        return $this->user;
    }

    /**
    * @param mixed $user
     */
    public function setUser($user)
    {
        $this->user = $user;
    }

    /**
     * @return mixed
     */
    public function getOperate()
    {
    	return $this->operate;
    }

    /**
    * @param mixed $operate
     */
    public function setOperate($operate)
    {
    	$this->operate = $operate;
    }

}