<?php

class SaaSResetTokenRequest extends SdkRequest {

    const REQUEST_URL = "/saas/v2/company/resettoken";

    private $companyId;
	private $accessToken;

    public function getUrl() {
        return self::REQUEST_URL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('companyId', $this->companyId);
        $paramSwitcher->addParam('accessToken', $this->accessToken);
        $httpParameters = HttpParameter::httpPostParamer();
        $httpParameters->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameters;
    }

    /**
     * @return mixed
     */
    public function getCompanyId()
    {
    	return $this->companyId;
    }

    /**
    * @param mixed $companyId
     */
    public function setCompanyId($companyId)
    {
    	$this->companyId = $companyId;
    }

    /**
     * @return mixed
     */
    public function getAccessToken()
    {
    	return $this->accessToken;
    }

    /**
    * @param mixed $accessToken
     */
    public function setAccessToken($accessToken)
    {
    	$this->accessToken = $accessToken;
    }



}