<?php

class SealAutoCreateRequest extends SdkRequest {

    const SEAL_AUTOCREATE = "/v2/seal/autocreate";  // 获取印章图片

    private $tenantName;
    private $name;
    private $sealImageInfo;
    private $users;

    public function getUrl() {
        return self::SEAL_AUTOCREATE;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('tenantName', $this->tenantName);
        $paramSwitcher->addParam('name', $this->name);
        $paramSwitcher->addParam('sealImageInfo', $this->sealImageInfo);
        $paramSwitcher->addParam('users', $this->users);

        $httpParameters = HttpParameter::httpPostParamer();
        $httpParameters->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameters;
    }


    public function getTenantName()
    {
        return $this->tenantName;
    }

    public function setTenantName($tenantName)
    {
        $this->tenantName = $tenantName;
    }

    public function getName()
    {
        return $this->name;
    }

    public function setName($name)
    {
        $this->name = $name;
    }

    public function getSealImageInfo()
    {
        return $this->sealImageInfo;
    }

    public function setSealImageInfo($sealImageInfo)
    {
        $this->sealImageInfo = $sealImageInfo;
    }

    public function getUsers()
    {
        return $this->users;
    }

    public function setUsers($users)
    {
        $this->users = $users;
    }


}