<?php

class SealDetailRequest extends SdkRequest {

    const SEAL_AUTOCREATE = "/v2/seal/sealdetail";  // 获取印章图片

    private $sealId;

    public function getUrl() {
        return self::SEAL_AUTOCREATE;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('sealId', $this->sealId);

        $httpParameters = HttpParameter::httpGetParamer();
        $httpParameters->setParams($paramSwitcher->getParams());
        return $httpParameters;
    }


    public function getSealId()
    {
        return $this->sealId;
    }

    public function setSealId($sealId)
    {
        $this->sealId = $sealId;
    }
}