<?php

class TemplateCreateByWordRequest extends SdkRequest {

    const REQUEST_URL = "/v2/template/createbyword";  // 附件接口地址

    private $tenantName;
	private $title;
	private $file;
	private $renameRepeatParam;
	private $managersInfo;
	private $rangeInfo;
	private $status;

    public function getUrl() {
        return self::REQUEST_URL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('tenantName', $this->tenantName);
        $paramSwitcher->addParam('title', $this->title);
        $paramSwitcher->addParam('file',$this->file);
        $paramSwitcher->addParam('renameRepeatParam', $this->renameRepeatParam);
        $paramSwitcher->addParam('managersInfo', $this->managersInfo);
        $paramSwitcher->addParam('rangeInfo', $this->rangeInfo);
        $paramSwitcher->addParam('status', $this->status);
        $httpParameters = HttpParameter::httpPostParamer();
        $httpParameters->setParams($paramSwitcher->getParams());
        return $httpParameters;

    }

    /**
     * @return mixed
     */
    public function getTenantName()
    {
        return $this->tenantName;
    }

    /**
     * @param mixed $tenantName
     */
    public function setTenantName($tenantName)
    {
        $this->tenantName = $tenantName;
    }

    /**
     * @return mixed
     */
    public function getTitle()
    {
        return $this->title;
    }

    /**
     * @param mixed $title
     */
    public function setTitle($title)
    {
        $this->title = $title;
    }

    /**
     * @return mixed
     */
    public function getFile()
    {
        return $this->file;
    }

    /**
     * @param mixed $file
     */
    public function setFile($file)
    {
        $this->file = $file;
    }

    /**
     * @return mixed
     */
    public function getRenameRepeatParam()
    {
        return $this->renameRepeatParam;
    }

    /**
     * @param mixed $renameRepeatParam
     */
    public function setRenameRepeatParam($renameRepeatParam)
    {
        $this->renameRepeatParam = $renameRepeatParam;
    }
    /**
     * @return mixed
     */
    public function getManagersInfo()
    {
        return $this->managersInfo;
    }

    /**
     * @return mixed
     */
    public function getRangeInfo()
    {
        return $this->rangeInfo;
    }

    /**
     * @return mixed
     */
    public function getStatus()
    {
        return $this->status;
    }

    /**
     * @param mixed $managersInfo
     */
    public function setManagersInfo($managersInfo)
    {
        $this->managersInfo = $managersInfo;
    }

    /**
     * @param mixed $rangeInfo
     */
    public function setRangeInfo($rangeInfo)
    {
        $this->rangeInfo = $rangeInfo;
    }

    /**
     * @param mixed $status
     */
    public function setStatus($status)
    {
        $this->status = $status;
    }


}