<?php

class TemplateDownloadRequest extends SdkRequest {

    const REQUEST_URL = "/v2/template/download";

    private $templateId;

    public function __construct() {
        $count = func_num_args();
        $args=func_get_args();
        if (method_exists($this,$f='__construct'.$count)) {
            call_user_func_array(array($this,$f),$args);
        }
    }

    public function __construct0() {
    }

    public function __construct1($templateId) {
        $this->templateId = $templateId;
    }

    public function getUrl() {
        return self::REQUEST_URL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('templateId', $this->templateId);
        $httpParameters = HttpParameter::httpGetParamer();
        $httpParameters->setParams($paramSwitcher->getParams());
        return $httpParameters;
    }

    /**
     * @return mixed
     */
    public function getTemplateId()
    {
    	return $this->templateId;
    }

    /**
    * @param mixed $templateId
     */
    public function setTemplateId($templateId)
    {
    	$this->templateId = $templateId;
    }

}