<?php

class TemplateStatusManageRequest extends SdkRequest {

    const REQUEST_URL = "/v2/template/status";

    private $templateId;
	private $operate;

    public function __construct() {
    	$count = func_num_args();
    	$args=func_get_args();
    	if (method_exists($this,$f='__construct'.$count)) {
    		call_user_func_array(array($this,$f),$args);
    	}
    }

    public function __construct0() {
    }

    public function __construct2($templateId, $operate) {
    	$this->templateId = $templateId;
    	$this->operate = $operate;
    }

    public function getUrl() {
        return self::REQUEST_URL;
    }

    public function getHttpParamers() {
        $paramSwitcher = ParamSwitcher::instanceParam();
        $paramSwitcher->addParam('templateId', $this->templateId);
        $paramSwitcher->addParam('operate', $this->operate);
        $httpParameters = HttpParameter::httpPostParamer();
        $httpParameters->setJsonParams(json_encode($paramSwitcher->getParams()));
        return $httpParameters;

    }

    /**
     * @return mixed
     */
    public function getTemplateId()
    {
    	return $this->templateId;
    }

    /**
    * @param mixed $templateId
     */
    public function setTemplateId($templateId)
    {
    	$this->templateId = $templateId;
    }

    /**
     * @return mixed
     */
    public function getOperate()
    {
    	return $this->operate;
    }

    /**
    * @param mixed $operate
     */
    public function setOperate($operate)
    {
    	$this->operate = $operate;
    }

}