<?php
header("Content-Type: text/html; charset=utf-8");

    /**
     *公司信息服务示例
     */
    require_once(dirname(__FILE__).'/'.'../Util.php');

    $sdkClient = Util::getSDk();

//     companyDetail($sdkClient);

//    platformInfo($sdkClient);

//    subCompanyList($sdkClient);

//    licenseDownload($sdkClient);

//   subCompanyInvite($sdkClient);

//    subCompanyRemove($sdkClient);

    testRoleManagement($sdkClient);

    /**
     * 公司详情信息查询
     * @param $sdkClient
     * @return mixed
     */
    function companyDetail(SDKClient $sdkClient){
        $companyDetailRequest = new CompanyDetailRequest("测试11-8-1");
        $result = $sdkClient->service($companyDetailRequest);
        print_r($result);
        return $result;
    }

    /**
     * 平台方信息查询
     * @param SDKClient $sdkClient
     */
    function platformInfo(SDKClient $sdkClient){
        $platformInfoRequest = new PlatformInfoRequest();
        $result = $sdkClient->service($platformInfoRequest);
        print_r($result);
    }

    /**
     * 子公司列表查询
     * @param SDKClient $sdkClient
     */
    function subCompanyList(SDKClient $sdkClient){
        $subCompanyListRequest = new SubCompanyListRequest();
        $result = $sdkClient->service($subCompanyListRequest);
        print_r($result);
    }

    /**
     * 下载营业执照
     * @param SDKClient $sdkClient
     */
    function licenseDownload(SDKClient $sdkClient){
        $filePath = 'D:/license.png';
        $baseRequest = new CompanyLicenseDownloadRequest();
        $baseRequest->setCompanyName('思晨教育');
        $result = $sdkClient->downloadService($baseRequest, $filePath);
        print_r($result);
    }

    /**
     * 子公司邀请
     * @param SDKClient $sdkClient
     */
    function subCompanyInvite(SDKClient $sdkClient){
        $baseRequest = new SubCompanyInviteRequest("测试11-8-3", "https://www.baidu.com");
        $result = $sdkClient->service($baseRequest);
        print_r($result);
    }

    /**
     *  子公司移除
     * @param SDKClient $sdkClient
     */
    function subCompanyRemove(SDKClient $sdkClient){
        $baseRequest = new SubCompanyRemoveRequest("测试11-8-3");
        $result = $sdkClient->service($baseRequest);
        print_r($result);
    }

    /**
     *  管理角色成员
     * @param SDKClient $sdkClient
     */
    function testRoleManagement(SDKClient $sdkClient){
        $baseRequest = new RoleManagementRequest();
        $baseRequest->setRole("TEMPLATE_ADMIN");
        $baseRequest->setOperate("ADD");

        $user1 = new User();
        $user1->setContact("10302000001");
        $user1->setContactType("MOBILE");

        $users = array();
        array_push($users, $user1);

        $baseRequest->setUsers($users);
        $result = $sdkClient->service($baseRequest);
        print_r($result);
    }