<?php
header("Content-Type: text/html; charset=utf-8");

    /**
     * 合同接口测试
     */
    require_once(dirname(__FILE__) . '/' . '../Util.php');

    $sdkClient = Util::getSDk();

    //testContractForceEndRequest($sdkClient);
    testAddEndSignAttachmentRequest($sdkClient);

    /**
     * 强制终止合同
     * @param $sdkClient
     * @return mixed
     */
    function testContractForceEndRequest(SDKClient $sdkClient){
        $baseRequest = new ContractForceEndRequest();
        $baseRequest->setContractId(2786169058954273061);
        $baseRequest->setReason("看看终止");

        $baseRequest->setContractId(2783634589202207116);
        $result = $sdkClient->service($baseRequest);
        print_r($result);
        return $result;
    }

    /**
     * 终止合同添加附件
     * @param $sdkClient
     * @return mixed
     */
    function testAddEndSignAttachmentRequest(SDKClient $sdkClient){
        $baseRequest = new AddEndSignAttachmentRequest();
        $baseRequest->setTitle("测试附件");

        $file_path = "C:\\Users\\Administrator\\Desktop\\testfile\\接口文档.docx";


        $file_path = iconv("UTF-8", "GBK", realpath($file_path));

        $file = new \CURLFile($file_path);
        $baseRequest->setFile($file);
        $baseRequest->setFileSuffix("docx");
        $baseRequest->setContractId(2783634589202207116);
        $result = $sdkClient->service($baseRequest);
        print_r($result);
        return $result;
    }