<?php
header("Content-Type: text/html; charset=utf-8");

    /**
     * 业务分类服务示例
     */
    require_once(dirname(__FILE__).'/'.'../Util.php');

    $sdkClient = Util::getSDk();

    customerAddRequest($sdkClient);

    /**
     * 业务分类列表查询示例
     * @param $sdkClient
     * @return mixed
     */
    function customerAddRequest(SDKClient $sdkClient){

        $baseRequest = new CustomerAddRequest();
        $baseRequest->setTenantType("PERSONAL");
        $baseRequest->setAlternateContact("10010004000");

        $user = new User();
        $user->setName("测试用户");
        $user->setContact("10010005000");
        $user->setContactType("MOBILE");

        $baseRequest->setUser($user);

        $result = $sdkClient->service($baseRequest);
        print_r($result);
        return $result;
    }



