<?php
header("Content-Type: text/html; charset=utf-8");

    /**
     * 文档验签服务示例
     */
    require_once(dirname(__FILE__).'/'.'../Util.php');

    $sdkClient = Util::getSDk();

        testAddSignatory($sdkClient);

//    testEditSignatory($sdkClient);

//    testSignatoryInfo($sdkClient);

    function testAddSignatory(SDKClient $sdkClient){
        $request = new SignatoryAddRequest();
        $request->setContractId(2698150064800145919);

        $signatory = new Signatory();
        $signatory->setTenantName("12344321");
        $signatory->setTenantType("COMPANY");
        $receiver = new User();
        $receiver->setName("孙*雪");
        $receiver->setContact("188****7942");
        $receiver->setContactType("MOBILE");
        $signatory->setReceiver($receiver);
        $request->setSignatory($signatory);
        $result = $sdkClient->service($request);
        print_r($result);
        return $result;
    }

    function testEditSignatory(SDKClient $sdkClient){
        $request = new SignatoryEditRequest();
        $request->setSignatoryId("2695553258880369406");
        $request->setTenantName("孙凌雪");

        $receiver = new User();
        $receiver->setName("孙凌雪");
        $receiver->setContact("18844197942");
        $receiver->setContactType("MOBILE");
        $request->setReceiver($receiver);

        $result = $sdkClient->service($request);
        print_r($result);
        return $result;
    }

    function testSignatoryInfo(SDKClient $sdkClient){
        $request = new SignatoryInfoRequest();
        $request->setContractId("2591480596364406785");
        $request->setTenantName("思晨教育");
        $result = $sdkClient->service($request);
        print_r($result);
        return $result;
    }