<?php
header("Content-Type: text/html; charset=utf-8");

        /**
         * 文件模板接口测试
         */
        require_once(dirname(__FILE__).'/'.'../Util.php');

        $sdkClient = Util::getSDk();

//        testTemplateList($sdkClient);

//        testTempaltePage($sdkClient);

 //       testTempalteDetail($sdkClient);

//        testTemplateCreateByWordRequest($sdkClient);

         testTemplateEditRequest($sdkClient);
        
//         testTemplateDownload($sdkClient);
        
//         testTemplateRemove($sdkClient);
        
//        testTemplateStatus($sdkClient);

        function testTemplateList(SDKClient $sdkClient){
            $selectOffset = 0;
            $selectLimit = 1;
            $baseRequest = new TemplateListRequest($selectOffset, $selectLimit);

            $result = $sdkClient->service($baseRequest);
            print_r($result);
        }

        function testTempaltePage(SDKClient $sdkClient){
            $templatePageRequest = new TemplatePageRequest();
            $templatePageRequest->setTemplateId('2558596891082797841');
            $result = $sdkClient->service($templatePageRequest);
            print_r($result);
        }

        function testTempalteDetail(SDKClient $sdkClient){
            $templateDetailRequest = new TemplateDetailRequest();
            $templateDetailRequest->setTemplateId('2675974953166680099');
            $result = $sdkClient->service($templateDetailRequest);
            print_r($result);
        }

        function testTemplateCreateByWordRequest(SDKClient $sdkClient){
            $baseRequest = new TemplateCreateByWordRequest();
            $baseRequest->setTitle("创建模板");
            $file_path = "C:\\Users\\Administrator\\Desktop\\testfile\\接口文档.docx";
            $file_path = iconv("UTF-8", "GBK", realpath($file_path));
            $file = new \CURLFile($file_path);
            $baseRequest->setFile($file);
            $result = $sdkClient->service($baseRequest);
            print_r($result);
        }

        function testTemplateEditRequest(SDKClient $sdkClient){
            $baseRequest = new TemplateEditRequest();
            $baseRequest->setTemplateId(2803902661639234288);
            $param1 = new TemplateParam();
            $param1->setName("参数1");
            $param1->setRequired(true);
            $params = array();
            array_push($params, $param1);
            $baseRequest->setTemplateParams($params);
            $result = $sdkClient->service($baseRequest);
            print_r($result);
        }

        function testTemplateDownload(SDKClient $sdkClient){
            $baseRequest = new TemplateDownloadRequest(2736549088091935670);
            $filePath = "/Users/songguofeng/develop/file/test/phpTemplate.docx";
            $result = $sdkClient->downloadService($baseRequest, $filePath);
            print_r($result);
        }

        function testTemplateRemove(SDKClient $sdkClient){
            $baseRequest = new TemplateRemoveRequest();
            $baseRequest->setTemplateId(2818038212932764486);
            $result = $sdkClient->service($baseRequest);
            print_r($result);
        }

        function testTemplateStatus(SDKClient $sdkClient){
            $baseRequest = new TemplateStatusManageRequest(2818039652849910607, "ENABLE");
            $result = $sdkClient->service($baseRequest);
            print_r($result);
        }



